*,:after,:before{border:0 solid #e5e7eb;box-sizing:border-box}
html{-webkit-text-size-adjust:100%;font-family:ui-sans-serif,system-ui,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,Noto Sans,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;line-height:1.5;tab-size:4}
body{line-height:inherit;margin:0}
hr{border-top-width:1px;color:inherit;height:0}
abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}
h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}
a{color:inherit;text-decoration:inherit}
b,strong{font-weight:bolder}
code,kbd,pre,samp{font-family:Nunito;font-size:1em}
small{font-size:80%}
sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}
sub{bottom:-.25em}
sup{top:-.5em}
table{border-collapse:collapse;border-color:inherit;text-indent:0}
button,input,optgroup,select,textarea{color:inherit;font-family:inherit;font-size:100%;line-height:inherit;margin:0;padding:0}
button,select{text-transform:none}
[type=button],[type=reset],[type=submit],button{-webkit-appearance:button;background-color:transparent;background-image:none}
:-moz-focusring{outline:auto}
:-moz-ui-invalid{box-shadow:none}
progress{vertical-align:baseline}
::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}
[type=search]{-webkit-appearance:textfield;outline-offset:-2px}
::-webkit-search-decoration{-webkit-appearance:none}
::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}
summary{display:list-item}
blockquote,dd,dl,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}
fieldset{margin:0}
fieldset,legend{padding:0}
menu,ol,ul{list-style:none;margin:0;padding:0}
textarea{resize:vertical}
input::-webkit-input-placeholder,textarea::-webkit-input-placeholder{color:#9ca3af;opacity:1}
input:-ms-input-placeholder,textarea:-ms-input-placeholder{color:#9ca3af;opacity:1}
input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}
[role=button],button{cursor:pointer}
:disabled{cursor:default}
audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}
img,video{height:auto;max-width:100%}
[hidden]{display:none}
*,:after,:before{--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0;--tw-ring-offset-color:#fff;--tw-ring-color:#3b82f680;--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000}
.pointer-events-auto{pointer-events:auto}
.visible{visibility:visible}
.static{position:static}
.fixed{position:fixed}
.absolute{position:absolute}
.relative{position:relative}
.sticky{position:-webkit-sticky;position:sticky}
.inset-0{bottom:0;left:0;right:0;top:0}
.top-14{top:3.5rem}
.left-1\/2{left:50%}
.right-4{right:1rem}
.top-4{top:1rem}
.isolate{isolation:isolate}
.z-20{z-index:20}
.z-10{z-index:10}
.m-4{margin:1rem}
.m-2{margin:.5rem}
.m-1{margin:.25rem}
.mx-auto{margin-left:auto;margin-right:auto}
.mx-0\.5{margin-left:.125rem;margin-right:.125rem}
.mx-0{margin-left:0;margin-right:0}
.my-2{margin-bottom:.5rem;margin-top:.5rem}
.mb-1{margin-bottom:.25rem}
.mt-2{margin-top:.5rem}
.-ml-2{margin-left:-.5rem}
.mt-4{margin-top:1rem}
.mt-3{margin-top:.75rem}
.mt-6{margin-top:1.5rem}
.mb-4{margin-bottom:1rem}
.mb-0{margin-bottom:0}
.ml-2{margin-left:.5rem}
.mt-1{margin-top:.25rem}
.mt-5{margin-top:1.25rem}
.mr-2{margin-right:.5rem}
.-mb-4{margin-bottom:-1rem}
.ml-2\.5{margin-left:.625rem}
.mr-3{margin-right:.75rem}
.mb-2{margin-bottom:.5rem}
.block{display:block}
.inline-block{display:inline-block}
.flex{display:flex}
.inline-flex{display:inline-flex}
.grid{display:grid}
.contents{display:contents}
.hidden{display:none}
.h-screen{height:100vh}
.h-14{height:3.5rem}
.h-6{height:1.5rem}
.h-4{height:1rem}
.h-8{height:2rem}
.min-h-screen{min-height:100vh}
.w-full{width:100%}
.w-14{width:3.5rem}
.w-6{width:1.5rem}
.w-4{width:1rem}
.w-2{width:.5rem}
.w-1\/4{width:25%}
.max-w-sm{max-width:24rem}
.shrink{flex-shrink:1}
.shrink-0{flex-shrink:0}
.grow{flex-grow:1}
.-translate-x-1\/2{--tw-translate-x:-50%}
.-translate-x-1\/2,.translate-y-4{-webkit-transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}
.translate-y-4{--tw-translate-y:1rem}
.translate-y-0{--tw-translate-y:0}
.translate-x-6,.translate-y-0{-webkit-transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}
.translate-x-6{--tw-translate-x:1.5rem}
.transform{-webkit-transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}
.cursor-pointer{cursor:pointer}
.select-none{-webkit-user-select:none;-ms-user-select:none;user-select:none}
.resize{resize:both}
.columns-3{-webkit-columns:3;column-count:3}
.columns-2{-webkit-columns:2;column-count:2}
.columns-1{-webkit-columns:1;column-count:1}
.flex-col{flex-direction:column}
.items-center{align-items:center}
.items-stretch{align-items:stretch}
.justify-center{justify-content:center}
.justify-between{justify-content:space-between}
.justify-evenly{justify-content:space-evenly}
.gap-0{gap:0}
.gap-4{gap:1rem}
.divide-y>:not([hidden])~:not([hidden]){--tw-divide-y-reverse:0;border-bottom-width:calc(1px*var(--tw-divide-y-reverse));border-top-width:calc(1px*(1 - var(--tw-divide-y-reverse)))}
.overflow-hidden{overflow:hidden}
.overflow-y-auto{overflow-y:auto}
.truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}
.rounded{border-radius:.25rem}
.rounded-lg{border-radius:.5rem}
.rounded-full{border-radius:9999px}
.rounded-md{border-radius:.375rem}
.border{border-width:1px}
.border-2{border-width:2px}
.border-solid{border-style:solid}
.border-slate-200{--tw-border-opacity:1;border-color:rgb(226 232 240/var(--tw-border-opacity))}
.border-black{--tw-border-opacity:1;border-color:rgb(0 0 0/var(--tw-border-opacity))}
.border-slate-400{--tw-border-opacity:1;border-color:rgb(148 163 184/var(--tw-border-opacity))}
.border-orange-500{--tw-border-opacity:1;border-color:rgb(249 115 22/var(--tw-border-opacity))}
.border-cyan-500{--tw-border-opacity:1;border-color:rgb(6 182 212/var(--tw-border-opacity))}
.border-green-500{--tw-border-opacity:1;border-color:rgb(34 197 94/var(--tw-border-opacity))}
.border-yellow-500{--tw-border-opacity:1;border-color:rgb(234 179 8/var(--tw-border-opacity))}
.border-gray-300{--tw-border-opacity:1;border-color:rgb(209 213 219/var(--tw-border-opacity))}
.border-transparent{border-color:transparent}
.border-gray-500{--tw-border-opacity:1;border-color:rgb(107 114 128/var(--tw-border-opacity))}
.bg-rose-500{--tw-bg-opacity:1;background-color:rgb(244 63 94/var(--tw-bg-opacity))}
.bg-blue-500{--tw-bg-opacity:1;background-color:rgb(59 130 246/var(--tw-bg-opacity))}
.bg-white{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity))}
.bg-slate-400{--tw-bg-opacity:1;background-color:rgb(148 163 184/var(--tw-bg-opacity))}
.bg-orange-500{--tw-bg-opacity:1;background-color:rgb(249 115 22/var(--tw-bg-opacity))}
.bg-cyan-500{--tw-bg-opacity:1;background-color:rgb(6 182 212/var(--tw-bg-opacity))}
.bg-green-500{--tw-bg-opacity:1;background-color:rgb(34 197 94/var(--tw-bg-opacity))}
.bg-yellow-500{--tw-bg-opacity:1;background-color:rgb(234 179 8/var(--tw-bg-opacity))}
.bg-slate-200{--tw-bg-opacity:1;background-color:rgb(226 232 240/var(--tw-bg-opacity))}
.bg-gray-500{--tw-bg-opacity:1;background-color:rgb(107 114 128/var(--tw-bg-opacity))}
.bg-gray-100{--tw-bg-opacity:1;background-color:rgb(243 244 246/var(--tw-bg-opacity))}
.bg-gray-300{--tw-bg-opacity:1;background-color:rgb(209 213 219/var(--tw-bg-opacity))}
.bg-green-400{--tw-bg-opacity:1;background-color:rgb(74 222 128/var(--tw-bg-opacity))}
.bg-indigo-600{--tw-bg-opacity:1;background-color:rgb(79 70 229/var(--tw-bg-opacity))}
.bg-gray-50{--tw-bg-opacity:1;background-color:rgb(249 250 251/var(--tw-bg-opacity))}
.bg-red-400{--tw-bg-opacity:1;background-color:rgb(248 113 113/var(--tw-bg-opacity))}
.bg-blue-600{--tw-bg-opacity:1;background-color:rgb(37 99 235/var(--tw-bg-opacity))}
.bg-gray-600{--tw-bg-opacity:1;background-color:rgb(75 85 99/var(--tw-bg-opacity))}
.bg-opacity-75{--tw-bg-opacity:.75}
.p-2{padding:.5rem}
.p-1{padding:.25rem}
.p-2\.5{padding:.625rem}
.p-0\.5{padding:.125rem}
.p-0{padding:0}
.px-1{padding-left:.25rem;padding-right:.25rem}
.py-10{padding-bottom:2.5rem;padding-top:2.5rem}
.px-4{padding-left:1rem;padding-right:1rem}
.py-2{padding-bottom:.5rem;padding-top:.5rem}
.py-3{padding-bottom:.75rem;padding-top:.75rem}
.px-5{padding-left:1.25rem;padding-right:1.25rem}
.pt-2{padding-top:.5rem}
.pb-8{padding-bottom:2rem}
.pb-6{padding-bottom:1.5rem}
.pt-5{padding-top:1.25rem}
.pb-4{padding-bottom:1rem}
.text-left{text-align:left}
.text-center{text-align:center}
.align-bottom{vertical-align:bottom}
.font-mono{font-family:Nunito}
.text-sm{font-size:.875rem;line-height:1.25rem}
.text-3xl{font-size:1.875rem;line-height:2.25rem}
.text-xs{font-size:.75rem;line-height:1rem}
.text-lg{font-size:1.125rem;line-height:1.75rem}
.text-base{font-size:1rem;line-height:1.5rem}
.text-xl{font-size:1.25rem;line-height:1.75rem}
.text-5xl{font-size:3rem;line-height:1}
.font-medium{font-weight:500}
.font-bold{font-weight:700}
.italic{font-style:italic}
.ordinal{--tw-ordinal:ordinal;-webkit-font-feature-settings:var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);font-feature-settings:var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction);font-variant-numeric:var(--tw-ordinal) var(--tw-slashed-zero) var(--tw-numeric-figure) var(--tw-numeric-spacing) var(--tw-numeric-fraction)}
.leading-6{line-height:1.5rem}
.leading-none{line-height:1}
.text-white{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}
.text-gray-900{--tw-text-opacity:1;color:rgb(17 24 39/var(--tw-text-opacity))}
.text-gray-500{--tw-text-opacity:1;color:rgb(36 39 47/var(--tw-text-opacity))}
.text-blue-600{--tw-text-opacity:1;color:rgb(37 99 235/var(--tw-text-opacity))}
.text-indigo-700{--tw-text-opacity:1;color:rgb(67 56 202/var(--tw-text-opacity))}
.text-blue-100{--tw-text-opacity:1;color:rgb(219 234 254/var(--tw-text-opacity))}
.underline{-webkit-text-decoration-line:underline;text-decoration-line:underline}
.opacity-0{opacity:0}
.opacity-100{opacity:1}
.shadow{--tw-shadow:0 1px 3px 0 #0000001a 1px 2px -1px #0000001a;--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color)}
.shadow,.shadow-lg{box-shadow:0 0 #0000,0 0 #0000,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}
.shadow-lg{--tw-shadow:0 10px 15px -3px #0000001a 4px 6px -4px #0000001a;--tw-shadow-colored:0 10px 15px -3px var(--tw-shadow-color),0 4px 6px -4px var(--tw-shadow-color)}
.shadow-xl{--tw-shadow:0 20px 25px -5px #0000001a 8px 10px -6px #0000001a;--tw-shadow-colored:0 20px 25px -5px var(--tw-shadow-color),0 8px 10px -6px var(--tw-shadow-color)}
.shadow-md,.shadow-xl{box-shadow:0 0 #0000,0 0 #0000,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}
.shadow-md{--tw-shadow:0 4px 6px -1px #0000001a 2px 4px -2px #0000001a;--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color)}
.shadow-sm{--tw-shadow:0 1px 2px 0 #0000000d;--tw-shadow-colored:0 1px 2px 0 var(--tw-shadow-color);box-shadow:0 0 #0000,0 0 #0000,var(--tw-shadow);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}
.outline{outline-style:solid}
.ring-1{--tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);--tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),0 0 #0000;box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow,0 0 #0000)}
.ring-black{--tw-ring-opacity:1;--tw-ring-color:rgb(0 0 0/var(--tw-ring-opacity))}
.ring-opacity-5{--tw-ring-opacity:.05}
.blur{--tw-blur:blur(8px)}
.blur,.invert{-webkit-filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)}
.invert{--tw-invert:invert(100%)}
.filter{-webkit-filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)}
.transition{transition-duration:.15s;transition-property:color,background-color,border-color,fill,stroke,opacity,box-shadow,-webkit-text-decoration-color,-webkit-transform,-webkit-filter,-webkit-backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter,-webkit-text-decoration-color,-webkit-transform,-webkit-filter,-webkit-backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}
.transition-opacity{transition-duration:.15s;transition-property:opacity;transition-timing-function:cubic-bezier(.4,0,.2,1)}
.transition-all{transition-duration:.15s;transition-property:all;transition-timing-function:cubic-bezier(.4,0,.2,1)}
.duration-300{transition-duration:.3s}
.duration-100{transition-duration:.1s}
.duration-200{transition-duration:.2s}
.ease-out{transition-timing-function:cubic-bezier(0,0,.2,1)}
.ease-in{transition-timing-function:cubic-bezier(.4,0,1,1)}
.ease-in-out{transition-timing-function:cubic-bezier(.4,0,.2,1)}
:root{--animation-speed:1000ms;--animation-speed-fast:250ms;--default-cell-bg-color:#fff;--default-cell-border-color:#000;--default-cell-text-color:#000;--absent-cell-bg-color:#94a3b8;--correct-cell-bg-color:#4ade80;--present-cell-bg-color:#facc15}
.dark{--default-cell-bg-color:#0f172a;--default-cell-border-color:#fff;--default-cell-text-color:#fff;--absent-cell-bg-color:#334155}
.high-contrast{--correct-cell-bg-color:#fb923c;--present-cell-bg-color:#22d3ee}
.cell-fill-animation{-webkit-animation:onTypeCell linear;animation:onTypeCell linear}
.cell-fill-animation,.cell-reveal{-webkit-animation-duration:.35s;animation-duration:.35s}
.cell-reveal{-webkit-animation-fill-mode:backwards;animation-fill-mode:backwards;-webkit-animation-timing-function:linear;animation-timing-function:linear}
.cell-reveal.absent{-webkit-animation-name:revealAbsentCharCell;animation-name:revealAbsentCharCell}
.cell-reveal.correct{-webkit-animation-name:revealCorrectCharCell;animation-name:revealCorrectCharCell}
.cell-reveal.present{-webkit-animation-name:revealPresentCharCell;animation-name:revealPresentCharCell}
.cell-reveal>.letter-container{-webkit-animation:offsetLetterFlip .35s linear;animation:offsetLetterFlip .35s linear;-webkit-animation-fill-mode:backwards;animation-fill-mode:backwards}
.scale-up{transition:all .25s;transition:all var(--animation-speed-fast)}
.scale-up:hover{-webkit-transform:scale(1.2);transform:scale(1.2)}
.jiggle{-webkit-animation:jiggle linear;animation:jiggle linear;-webkit-animation-duration:.25s;animation-duration:.25s;-webkit-animation-duration:var(--animation-speed-fast);animation-duration:var(--animation-speed-fast)}
.navbar{margin-bottom:2%}
.navbar-content{align-items:center;display:flex;height:3rem;justify-content:space-between}
.icon-group{display:flex}
.title{font-family:Nunito,sans-serif}
@-webkit-keyframes revealAbsentCharCell {
0%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color);-webkit-transform:rotateX(0deg);transform:rotateX(0deg)}
50%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color)}
50.1%{background-color:#94a3b8;background-color:var(--absent-cell-bg-color);border-color:#94a3b8;border-color:var(--absent-cell-bg-color)}
to{-webkit-transform:rotateX(180deg);transform:rotateX(180deg)}
}
@keyframes revealAbsentCharCell {
0%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color);-webkit-transform:rotateX(0deg);transform:rotateX(0deg)}
50%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color)}
50.1%{background-color:#94a3b8;background-color:var(--absent-cell-bg-color);border-color:#94a3b8;border-color:var(--absent-cell-bg-color)}
to{-webkit-transform:rotateX(180deg);transform:rotateX(180deg)}
}
@-webkit-keyframes revealCorrectCharCell {
0%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color);-webkit-transform:rotateX(0deg);transform:rotateX(0deg)}
50%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color)}
50.1%{background-color:#4ade80;background-color:var(--correct-cell-bg-color);border-color:#4ade80;border-color:var(--correct-cell-bg-color)}
to{-webkit-transform:rotateX(180deg);transform:rotateX(180deg)}
}
@keyframes revealCorrectCharCell {
0%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color);-webkit-transform:rotateX(0deg);transform:rotateX(0deg)}
50%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color)}
50.1%{background-color:#4ade80;background-color:var(--correct-cell-bg-color);border-color:#4ade80;border-color:var(--correct-cell-bg-color)}
to{-webkit-transform:rotateX(180deg);transform:rotateX(180deg)}
}
@-webkit-keyframes revealPresentCharCell {
0%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color);-webkit-transform:rotateX(0deg);transform:rotateX(0deg)}
50%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color)}
50.1%{background-color:#facc15;background-color:var(--present-cell-bg-color);border-color:#facc15;border-color:var(--present-cell-bg-color)}
to{-webkit-transform:rotateX(180deg);transform:rotateX(180deg)}
}
@keyframes revealPresentCharCell {
0%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color);-webkit-transform:rotateX(0deg);transform:rotateX(0deg)}
50%{background-color:#fff;background-color:var(--default-cell-bg-color);border-color:#000;border-color:var(--default-cell-border-color);color:#000;color:var(--default-cell-text-color)}
50.1%{background-color:#facc15;background-color:var(--present-cell-bg-color);border-color:#facc15;border-color:var(--present-cell-bg-color)}
to{-webkit-transform:rotateX(180deg);transform:rotateX(180deg)}
}
@-webkit-keyframes offsetLetterFlip {
0%{-webkit-transform:rotateX(0deg);transform:rotateX(0deg)}
to{-webkit-transform:rotateX(180deg);transform:rotateX(180deg)}
}
@keyframes offsetLetterFlip {
0%{-webkit-transform:rotateX(0deg);transform:rotateX(0deg)}
to{-webkit-transform:rotateX(180deg);transform:rotateX(180deg)}
}
@-webkit-keyframes onTypeCell {
0%{-webkit-transform:scale(1);transform:scale(1)}
50%{-webkit-transform:scale(1.1);transform:scale(1.1)}
to{-webkit-transform:scale(1);transform:scale(1)}
}
@keyframes onTypeCell {
0%{-webkit-transform:scale(1);transform:scale(1)}
50%{-webkit-transform:scale(1.1);transform:scale(1.1)}
to{-webkit-transform:scale(1);transform:scale(1)}
}
.shadowed{text-shadow:1px 1px 1px #000}
@-webkit-keyframes jiggle {
0%{-webkit-transform:translate(0);transform:translate(0)}
25%{-webkit-transform:translate(-.5rem);transform:translate(-.5rem)}
50%{-webkit-transform:translate(.5rem);transform:translate(.5rem)}
75%{-webkit-transform:translate(-.5rem);transform:translate(-.5rem)}
to{-webkit-transform:translate(0);transform:translate(0)}
}
@keyframes jiggle {
0%{-webkit-transform:translate(0);transform:translate(0)}
25%{-webkit-transform:translate(-.5rem);transform:translate(-.5rem)}
50%{-webkit-transform:translate(.5rem);transform:translate(.5rem)}
75%{-webkit-transform:translate(-.5rem);transform:translate(-.5rem)}
to{-webkit-transform:translate(0);transform:translate(0)}
}
.hover\:bg-slate-300:hover{--tw-bg-opacity:1;background-color:rgb(203 213 225/var(--tw-bg-opacity))}
.hover\:bg-orange-600:hover{--tw-bg-opacity:1;background-color:rgb(234 88 12/var(--tw-bg-opacity))}
.hover\:bg-cyan-600:hover{--tw-bg-opacity:1;background-color:rgb(8 145 178/var(--tw-bg-opacity))}
.hover\:bg-green-600:hover{--tw-bg-opacity:1;background-color:rgb(22 163 74/var(--tw-bg-opacity))}
.hover\:bg-yellow-600:hover{--tw-bg-opacity:1;background-color:rgb(202 138 4/var(--tw-bg-opacity))}
.hover\:bg-indigo-700:hover{--tw-bg-opacity:1;background-color:rgb(67 56 202/var(--tw-bg-opacity))}
.focus\:border-blue-500:focus{--tw-border-opacity:1;border-color:rgb(59 130 246/var(--tw-border-opacity))}
.focus\:outline-none:focus{outline:2px solid transparent;outline-offset:2px}
.focus\:ring-2:focus{--tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);--tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),0 0 #0000;box-shadow:var(--tw-ring-offset-shadow),var(--tw-ring-shadow),var(--tw-shadow,0 0 #0000)}
.focus\:ring-blue-500:focus{--tw-ring-opacity:1;--tw-ring-color:rgb(59 130 246/var(--tw-ring-opacity))}
.focus\:ring-indigo-500:focus{--tw-ring-opacity:1;--tw-ring-color:rgb(99 102 241/var(--tw-ring-opacity))}
.focus\:ring-offset-2:focus{--tw-ring-offset-width:2px}
.active\:bg-slate-400:active{--tw-bg-opacity:1;background-color:rgb(148 163 184/var(--tw-bg-opacity))}
.active\:bg-orange-700:active{--tw-bg-opacity:1;background-color:rgb(194 65 12/var(--tw-bg-opacity))}
.active\:bg-cyan-700:active{--tw-bg-opacity:1;background-color:rgb(14 116 144/var(--tw-bg-opacity))}
.active\:bg-green-700:active{--tw-bg-opacity:1;background-color:rgb(21 128 61/var(--tw-bg-opacity))}
.active\:bg-yellow-700:active{--tw-bg-opacity:1;background-color:rgb(161 98 7/var(--tw-bg-opacity))}
.disabled\:border-gray-200:disabled{--tw-border-opacity:1;border-color:rgb(229 231 235/var(--tw-border-opacity))}
.disabled\:bg-white:disabled{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity))}
.disabled\:text-gray-900:disabled{--tw-text-opacity:1;color:rgb(17 24 39/var(--tw-text-opacity))}
.disabled\:focus\:outline-none:focus:disabled{outline:2px solid transparent;outline-offset:2px}
.dark .dark\:border-slate-600{--tw-border-opacity:1;border-color:rgb(71 85 105/var(--tw-border-opacity))}
.dark .dark\:border-slate-100{--tw-border-opacity:1;border-color:rgb(241 245 249/var(--tw-border-opacity))}
.dark .dark\:border-slate-700{--tw-border-opacity:1;border-color:rgb(51 65 85/var(--tw-border-opacity))}
.dark .dark\:border-gray-600{--tw-border-opacity:1;border-color:rgb(75 85 99/var(--tw-border-opacity))}
.dark .dark\:bg-slate-900{--tw-bg-opacity:1;background-color:rgb(15 23 42/var(--tw-bg-opacity))}
.dark .dark\:bg-slate-700{--tw-bg-opacity:1;background-color:rgb(51 65 85/var(--tw-bg-opacity))}
.dark .dark\:bg-slate-600{--tw-bg-opacity:1;background-color:rgb(71 85 105/var(--tw-bg-opacity))}
.dark .dark\:bg-slate-800{--tw-bg-opacity:1;background-color:rgb(30 41 59/var(--tw-bg-opacity))}
.dark .dark\:bg-gray-800{--tw-bg-opacity:1;background-color:rgb(31 41 55/var(--tw-bg-opacity))}
.dark .dark\:bg-gray-700{--tw-bg-opacity:1;background-color:rgb(55 65 81/var(--tw-bg-opacity))}
.dark .dark\:bg-red-900{--tw-bg-opacity:1;background-color:rgb(127 29 29/var(--tw-bg-opacity))}
.dark .dark\:bg-red-600{--tw-bg-opacity:1;background-color:rgb(220 38 38/var(--tw-bg-opacity))}
.dark .dark\:stroke-white{stroke:#fff}
.dark .dark\:text-white{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}
.dark .dark\:text-gray-100{--tw-text-opacity:1;color:rgb(243 244 246/var(--tw-text-opacity))}
.dark .dark\:text-gray-300{--tw-text-opacity:1;color:rgb(209 213 219/var(--tw-text-opacity))}
.dark .dark\:text-indigo-400{--tw-text-opacity:1;color:rgb(129 140 248/var(--tw-text-opacity))}
.dark .dark\:text-gray-400{--tw-text-opacity:1;color:rgb(156 163 175/var(--tw-text-opacity))}
.dark .dark\:placeholder-gray-400::-webkit-input-placeholder{--tw-placeholder-opacity:1;color:rgb(156 163 175/var(--tw-placeholder-opacity))}
.dark .dark\:placeholder-gray-400:-ms-input-placeholder{--tw-placeholder-opacity:1;color:rgb(156 163 175/var(--tw-placeholder-opacity))}
.dark .dark\:placeholder-gray-400::placeholder{--tw-placeholder-opacity:1;color:rgb(156 163 175/var(--tw-placeholder-opacity))}
.dark .dark\:ring-offset-gray-800{--tw-ring-offset-color:#1f2937}
.dark .dark\:brightness-150{--tw-brightness:brightness(1.5);-webkit-filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);filter:var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow)}
.dark .dark\:focus\:border-blue-500:focus{--tw-border-opacity:1;border-color:rgb(59 130 246/var(--tw-border-opacity))}
.dark .dark\:focus\:ring-blue-600:focus{--tw-ring-opacity:1;--tw-ring-color:rgb(37 99 235/var(--tw-ring-opacity))}
.dark .dark\:focus\:ring-blue-500:focus{--tw-ring-opacity:1;--tw-ring-color:rgb(59 130 246/var(--tw-ring-opacity))}
.dark .disabled\:dark\:border-gray-600:disabled{--tw-border-opacity:1;border-color:rgb(75 85 99/var(--tw-border-opacity))}
.dark .disabled\:dark\:bg-gray-800:disabled{--tw-bg-opacity:1;background-color:rgb(31 41 55/var(--tw-bg-opacity))}
.dark .disabled\:dark\:text-gray-400:disabled{--tw-text-opacity:1;color:rgb(156 163 175/var(--tw-text-opacity))}
@media (min-width:640px) {
.sm\:my-8{margin-bottom:2rem;margin-top:2rem}
.sm\:mt-6{margin-top:1.5rem}
.sm\:block{display:block}
.sm\:inline-block{display:inline-block}
.sm\:h-screen{height:100vh}
.sm\:w-full{width:100%}
.sm\:max-w-sm{max-width:24rem}
.sm\:translate-y-0{--tw-translate-y:0}
.sm\:scale-95,.sm\:translate-y-0{-webkit-transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}
.sm\:scale-95{--tw-scale-x:.95;--tw-scale-y:.95}
.sm\:scale-100{--tw-scale-x:1;--tw-scale-y:1;-webkit-transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));transform:translate(var(--tw-translate-x),var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y))}
.sm\:p-0{padding:0}
.sm\:p-6{padding:1.5rem}
.sm\:px-6{padding-left:1.5rem;padding-right:1.5rem}
.sm\:align-middle{vertical-align:middle}
.sm\:text-sm{font-size:.875rem;line-height:1.25rem}
}
@media (min-width:768px) {
.md\:max-w-7xl{max-width:80rem}
}
@media (min-width:1024px) {
.lg\:px-8{padding-left:2rem;padding-right:2rem}
}
html.dark{background-color:#0f172a}